# Enum Class VulkanDebugUtilsSLF4J.InfoBehavior

java.lang.Object
java.lang.Enum<VulkanDebugUtilsSLF4J.InfoBehavior>
com.io7m.jcoronado.extensions.ext_debug_utils.api.VulkanDebugUtilsSLF4J.InfoBehavior

All Implemented Interfaces:
  `Serializable, Comparable<VulkanDebugUtilsSLF4J.InfoBehavior>, Constable`

Enclosing class:
  `VulkanDebugUtilsSLF4J`

public static enum VulkanDebugUtilsSLF4J.InfoBehavior extends Enum<VulkanDebugUtilsSLF4J.InfoBehavior>
The behaviour for "info" level messages. Some platforms will produce useless debug noise at "info" level.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INFO_AS_DEBUG`
  Log "info" messages at "debug" level.
  `INFO_AS_INFO`
  Log "info" messages at "info" level.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanDebugUtilsSLF4J.InfoBehavior`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanDebugUtilsSLF4J.InfoBehavior[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INFO_AS_DEBUG

    public static final VulkanDebugUtilsSLF4J.InfoBehavior INFO_AS_DEBUG
    Log "info" messages at "debug" level. Reduces noise.

  - ### INFO_AS_INFO

    public static final VulkanDebugUtilsSLF4J.InfoBehavior INFO_AS_INFO
    Log "info" messages at "info" level. Least surprising.

- ## Method Details

  - ### values

    public static VulkanDebugUtilsSLF4J.InfoBehavior[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanDebugUtilsSLF4J.InfoBehavior valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null